import { boot } from 'quasar/wrappers';
import qFormMixin from './qformMixin';
import mainShortcutMixin from './mainShortcutMixin';
import keyShortcut from './keyShortcut';
import useNotify from 'src/composables/useNotify.js';
const { notify } = useNotify();

export default boot(({ app }) => {
    app.mixin(qFormMixin);
    app.mixin(mainShortcutMixin);
    app.directive('shortcut', keyShortcut);
    app.config.errorHandler = function (err) {
        console.error(err);
        notify('globals.error', 'negative', 'error');
    };
});
